Search

The Search endpoint allows you to retrieve the full details and current status of any transaction. You can look up records using either the Treasury-generated invoice_code or the reference_id provided by the partner side during the initial request.

Search Transaction

GET /asset/transaction/search

Headers

Header / TypeConditionDescription
Authorizationstring
required
Bearer token retrieved from the Authentication endpoint.
X-User-Idstring
optional-when
X-Partner-User-Id
Unique user identifier from Treasury.
X-Partner-User-Idstring
optional-when
X-User-Id
Your internal user identifier.

Query Parameters

Field / TypeConditionDescription
process_namestring enum
required
The type of transaction to search for. Value: buy or sell.
invoice_codestring
optional-when
reference_id
The Treasury invoice code generated during the Buy or Sell process.
reference_idstring
optional-when
invoice_code
The internal reference identifier provided by the partner side during the initial transaction request.

Response

Sample Response (200 OK)

json
{
  "code": 200,
  "data": {
    "status"           : "confirmed",
    "transaction_at"   : "2026-04-01T09:26:27+07:00",
    "asset_type"       : "gold",
    "invoice_code"     : "GBA...",
    "reference_id"     : "buy-2026...",
    "asset_grams"      : 0.55,
    "amount"           : 1462830,
    "commission_amount": 23225,
    "adjustment_amount": 5500,
    "buy_price"        : 2643691,
    "sell_price"       : 2558863
  }
}